Skip to main content
`Ctrl`+`K`

# VecWhichInactive

Creates an `IS` based on a set of vectors

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecWhichInactive(Vec VecLow, Vec V, Vec D, Vec VecHigh, PetscBool Strong, IS *S)

Collective

## Input Parameters

- VecLow - lower bound

- V - Vector to compare

- D - Direction to compare

- VecHigh - higher bound

- Strong - indicator for applying strongly inactive test

## Output Parameter

- S - The index set containing the indices i where the bound is inactive

## Notes

Creates an index set containing the indices where one of the following holds:

      - VecLow(i)  < V(i) < VecHigh(i)
      - VecLow(i)  = V(i) and D(i) <= 0 (< 0 when Strong is true)
      - VecHigh(i) = V(i) and D(i) >= 0 (> 0 when Strong is true)

## See Also

`Vec`

## Level

advanced

## Location

src/vec/vec/utils/projection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages